Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.shrinkwrap.descriptor.impl.ejbjar31
Class AsyncMethodTypeImpl<T>

    java.lang.Object
      org.jboss.shrinkwrap.descriptor.impl.ejbjar31.AsyncMethodTypeImpl<T>

All Implemented Interfaces:
  org.jboss.shrinkwrap.descriptor.api.Child<T>, AsyncMethodType<T>

    public class AsyncMethodTypeImpl<T>

extends java.lang.Object
implements org.jboss.shrinkwrap.descriptor.api.Child<T>, AsyncMethodType<T>

This class implements the `async-methodType` xsd type

Original Documentation:

The async-methodType element specifies that a session
bean method has asynchronous invocation semantics.

Since:
  Generation date :2011-07-19T22:55:02.759+02:00
Author:
  Ralf Battenfeld

Constructor Summary
`AsyncMethodTypeImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node)`
`AsyncMethodTypeImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node, org.jboss.shrinkwrap.descriptor.spi.Node childNode)`

Method Summary
`java.lang.String` | `getMethodName()` Returns the `method-name` element
`MethodParamsType<AsyncMethodType<T>>` | `methodParams()` If not already created, a new `method-params` element will be created and returned.
`AsyncMethodType<T>` | `removeMethodName()` Removes the `method-name` element
`AsyncMethodType<T>` | `removeMethodParams()` Removes the `method-params` element
`AsyncMethodType<T>` | `setMethodName(java.lang.String methodName)` If not already created, a new `method-name` element with the given value will be created.
`T` | `up()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AsyncMethodTypeImpl

    public AsyncMethodTypeImpl(T t,
                               java.lang.String nodeName,
                               org.jboss.shrinkwrap.descriptor.spi.Node node)

### AsyncMethodTypeImpl

    public AsyncMethodTypeImpl(T t,
                               java.lang.String nodeName,
                               org.jboss.shrinkwrap.descriptor.spi.Node node,
                               org.jboss.shrinkwrap.descriptor.spi.Node childNode)

Method Detail

### up

    public T up()

  Specified by:
    `up` in interface `org.jboss.shrinkwrap.descriptor.api.Child<T>`

### setMethodName

    public AsyncMethodType<T> setMethodName(java.lang.String methodName)

  If not already created, a new `method-name` element with the given value will be created. Otherwise, the existing `method-name` element will be updated with the given value.

  Specified by:
    `setMethodName` in interface `AsyncMethodType<T>`
  Returns:
    the current instance of `AsyncMethodType`

### removeMethodName

    public AsyncMethodType<T> removeMethodName()

  Removes the `method-name` element

  Specified by:
    `removeMethodName` in interface `AsyncMethodType<T>`
  Returns:
    the current instance of `AsyncMethodType`

### getMethodName

    public java.lang.String getMethodName()

  Returns the `method-name` element

  Specified by:
    `getMethodName` in interface `AsyncMethodType<T>`
  Returns:
    the node defined for the element `method-name`

### removeMethodParams

    public AsyncMethodType<T> removeMethodParams()

  Removes the `method-params` element

  Specified by:
    `removeMethodParams` in interface `AsyncMethodType<T>`
  Returns:
    the current instance of `AsyncMethodType`

### methodParams

    public MethodParamsType<AsyncMethodType<T>> methodParams()

  If not already created, a new `method-params` element will be created and returned. Otherwise, the existing `method-params` element will be returned.

  Specified by:
    `methodParams` in interface `AsyncMethodType<T>`
  Returns:
    the node defined for the element `method-params`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD